From: Greg KH <greg@kroah.com>
To: torvalds@transmeta.com
Cc: linux-usb-devel@lists.sourceforge.net
Subject: [PATCH 06 of 11] USB hub driver update

Hi,

Here's a patch against 2.5.3-pre1 for the USB hub driver that keeps an
error message from happening when a device is removed from the system
(happens as part of the handoff from a USB 2.0 to 1.1 controller for a
slow/full speed device.)  This patch was written by David Brownell.

thanks,

greg k-h



diff -Nru a/drivers/usb/hub.c b/drivers/usb/hub.c
--- a/drivers/usb/hub.c	Wed Jan 16 09:57:47 2002
+++ b/drivers/usb/hub.c	Wed Jan 16 09:57:47 2002
@@ -557,6 +557,10 @@
 		dbg("port %d, portstatus %x, change %x, %s", port + 1,
 			portstatus, portchange, portspeed (portstatus));
 
+		/* Device went away? */
+		if (!(portstatus & USB_PORT_STAT_CONNECTION))
+			return 1;
+
 		/* bomb out completely if something weird happened */
 		if ((portchange & USB_PORT_STAT_C_CONNECTION))
 			return -1;

